import host
import bf2
from game.utils.debugging import *

# for debugging purposes enable tk punish in the server settings
if bf2.serverSettings.getTKPunishEnabled():
	import game.utils.stdout_redirect
	game.utils.stdout_redirect.init()
	print "21CW: starting main init"
	print "21CW: another line"

try:
    print "patching stats functions [python/game/__init__.py] 1"
    # thanks to [poe2]seigman and [dcon]kiff below...
    import bf2.stats.stats
    print "patching stats functions [python/game/__init__.py] 2"
    from game.stats.stats import fftfstats_init
    print "patching stats functions [python/game/__init__.py] 3"

    bf2.stats.stats.init = fftfstats_init

    print 'patched stat functions [python/game/__init__.py]'
except Exception, e:
    print 'NOT patched stat functions [python/game/__init__.py]'
    pass

import arty
host.dcon_arty = arty
host.dcon_arty.init()

import spawners
import rallypoints
spawners.init()
rallypoints.init()

#import vehiclecoststickets
#import nukelimiter
#vehiclecoststickets.init()
#nukelimiter.init()

#import request_kits
#request_kits.init()

#import timertest
#timertest.init()



try:
    import bf2spectator
    bf2spectator.init()
except Exception, e:
    print 'failed to start spectator:', e

print "21CW: main init done"
