# arty.py
# artillery camera system for dcon
# 5/9/06
# --- Kiff: kpbayne@elp.rr.com

import arty_code


arty_code.FAST_TIMER_PERIOD = 0.2 #when tracking a projectile
arty_code.NORMAL_TIMER_PERIOD = 0.6 #when not in fast-tracking state, checks for new cams everytime
arty_code.CHECK_NEWCAM_COUNT = 3 # when fast tracking, check for cam every 'checkNewCamCount'

#total time a spot is availabe: SPOT_TIME x SPOT_TIME_COUNT
arty_code.SPOT_TIME = 15.0
arty_code.SPOT_TIME_COUNT = 6

# when tracking a projectile that explodes, wait this long until returning to default orientation of spotter
# HOLD_LAST_TRACKING_POSITION_COUNT X NORMAL_TIMER_PERIOD
arty_code.HOLD_LAST_TRACKING_POSITION_COUNT = 5



def init():
	arty_code.init()
