# limit the nuke usage to once per round
# we do that by testing if the nuke was used to kill a player, after that we kill the attacker by teleporting him out of bounds
#
# by [21CW]Terran
#
# Version 1.0

import host
import bf2
from bf2 import g_debug



def init():
	print "nukelimiter init start"
	host.registerGameStatusHandler(onGameStatusChangedNukeLimiter)
	print "nukelimiter init end"

def onGameStatusChangedNukeLimiter(status):
	if status == bf2.GameStatus.Playing:
		host.registerHandler('PlayerKilled',onPlayerKilled)

def onPlayerKilled(victim, attacker, weapon, assist, object):

	# we need an attacker for this to work
	if attacker == None:
		pass
	# we need a weapon as well
	if weapon:
		if weapon.templateName == "nuke-light":
			sendMsgAll(attacker.getName() + " used the NUKE to kill " + victim.getName() + "!!!!")
			# move attacker to outer space ;)
			#position = (float(2048), float(-2047), float(2048))
			try:
				sendMsgAll("Vehicle: " + attacker.getDefaultVehicle().getName())
			except:
				pass
			position = (0.0, 0.0, 0.0)
			try:
				attacker.getDefaultVehicle().setPosition(position)
			except:
				sendMsgAll("Failed setting player position")
			attacker.getDefaultVehicle().setDamage(0.0001)
			sendMsgAll("**********")
		
def sendMsgAll(msg):
	host.rcon_invoke("game.sayAll \"" + str(msg) + "\"")
